All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Query |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.iquery.execution2
Class EmptyResultSetMetaData

    com.sas.iquery.execution2.EmptyResultSetMetaData

All Implemented Interfaces:
  java.sql.ResultSetMetaData, java.sql.Wrapper

    public class EmptyResultSetMetaData

implements java.sql.ResultSetMetaData

Constructor Summary
`EmptyResultSetMetaData()`

Method Summary
`java.lang.String` | `getCatalogName(int column)`
`java.lang.String` | `getColumnClassName(int column)`
`int` | `getColumnCount()`
`int` | `getColumnDisplaySize(int column)`
`java.lang.String` | `getColumnLabel(int column)`
`java.lang.String` | `getColumnName(int column)`
`int` | `getColumnType(int column)`
`java.lang.String` | `getColumnTypeName(int column)`
`int` | `getPrecision(int column)`
`int` | `getScale(int column)`
`java.lang.String` | `getSchemaName(int column)`
`java.lang.String` | `getTableName(int column)`
`boolean` | `isAutoIncrement(int column)`
`boolean` | `isCaseSensitive(int column)`
`boolean` | `isCurrency(int column)`
`boolean` | `isDefinitelyWritable(int column)`
`int` | `isNullable(int column)`
`boolean` | `isReadOnly(int column)`
`boolean` | `isSearchable(int column)`
`boolean` | `isSigned(int column)`
`boolean` | `isWrapperFor(java.lang.Class<?> iface)`
`boolean` | `isWritable(int column)`
`
`<T> T`
` | `unwrap(java.lang.Class<T> iface)`

Constructor Detail

### EmptyResultSetMetaData

    public EmptyResultSetMetaData()

Method Detail

### getCatalogName

    public java.lang.String getCatalogName(int column)
                                    throws java.sql.SQLException

  Specified by:
    `getCatalogName` in interface `java.sql.ResultSetMetaData`
  Throws:
    `java.sql.SQLException`
  See Also:
    `ResultSetMetaData.getCatalogName(int)`

### getColumnClassName

    public java.lang.String getColumnClassName(int column)
                                        throws java.sql.SQLException

  Specified by:
    `getColumnClassName` in interface `java.sql.ResultSetMetaData`
  Throws:
    `java.sql.SQLException`
  See Also:
    `ResultSetMetaData.getColumnClassName(int)`

### getColumnCount

    public int getColumnCount()
                       throws java.sql.SQLException

  Specified by:
    `getColumnCount` in interface `java.sql.ResultSetMetaData`
  Throws:
    `java.sql.SQLException`
  See Also:
    `ResultSetMetaData.getColumnCount()`

### getColumnDisplaySize

    public int getColumnDisplaySize(int column)
                             throws java.sql.SQLException

  Specified by:
    `getColumnDisplaySize` in interface `java.sql.ResultSetMetaData`
  Throws:
    `java.sql.SQLException`
  See Also:
    `ResultSetMetaData.getColumnDisplaySize(int)`

### getColumnLabel

    public java.lang.String getColumnLabel(int column)
                                    throws java.sql.SQLException

  Specified by:
    `getColumnLabel` in interface `java.sql.ResultSetMetaData`
  Throws:
    `java.sql.SQLException`
  See Also:
    `ResultSetMetaData.getColumnLabel(int)`

### getColumnName

    public java.lang.String getColumnName(int column)
                                   throws java.sql.SQLException

  Specified by:
    `getColumnName` in interface `java.sql.ResultSetMetaData`
  Throws:
    `java.sql.SQLException`
  See Also:
    `ResultSetMetaData.getColumnName(int)`

### getColumnType

    public int getColumnType(int column)
                      throws java.sql.SQLException

  Specified by:
    `getColumnType` in interface `java.sql.ResultSetMetaData`
  Throws:
    `java.sql.SQLException`
  See Also:
    `ResultSetMetaData.getColumnType(int)`

### getColumnTypeName

    public java.lang.String getColumnTypeName(int column)
                                       throws java.sql.SQLException

  Specified by:
    `getColumnTypeName` in interface `java.sql.ResultSetMetaData`
  Throws:
    `java.sql.SQLException`
  See Also:
    `ResultSetMetaData.getColumnTypeName(int)`

### getPrecision

    public int getPrecision(int column)
                     throws java.sql.SQLException

  Specified by:
    `getPrecision` in interface `java.sql.ResultSetMetaData`
  Throws:
    `java.sql.SQLException`
  See Also:
    `ResultSetMetaData.getPrecision(int)`

### getScale

    public int getScale(int column)
                 throws java.sql.SQLException

  Specified by:
    `getScale` in interface `java.sql.ResultSetMetaData`
  Throws:
    `java.sql.SQLException`
  See Also:
    `ResultSetMetaData.getScale(int)`

### getSchemaName

    public java.lang.String getSchemaName(int column)
                                   throws java.sql.SQLException

  Specified by:
    `getSchemaName` in interface `java.sql.ResultSetMetaData`
  Throws:
    `java.sql.SQLException`
  See Also:
    `ResultSetMetaData.getSchemaName(int)`

### getTableName

    public java.lang.String getTableName(int column)
                                  throws java.sql.SQLException

  Specified by:
    `getTableName` in interface `java.sql.ResultSetMetaData`
  Throws:
    `java.sql.SQLException`
  See Also:
    `ResultSetMetaData.getTableName(int)`

### isAutoIncrement

    public boolean isAutoIncrement(int column)
                            throws java.sql.SQLException

  Specified by:
    `isAutoIncrement` in interface `java.sql.ResultSetMetaData`
  Throws:
    `java.sql.SQLException`
  See Also:
    `ResultSetMetaData.isAutoIncrement(int)`

### isCaseSensitive

    public boolean isCaseSensitive(int column)
                            throws java.sql.SQLException

  Specified by:
    `isCaseSensitive` in interface `java.sql.ResultSetMetaData`
  Throws:
    `java.sql.SQLException`
  See Also:
    `ResultSetMetaData.isCaseSensitive(int)`

### isCurrency

    public boolean isCurrency(int column)
                       throws java.sql.SQLException

  Specified by:
    `isCurrency` in interface `java.sql.ResultSetMetaData`
  Throws:
    `java.sql.SQLException`
  See Also:
    `ResultSetMetaData.isCurrency(int)`

### isDefinitelyWritable

    public boolean isDefinitelyWritable(int column)
                                 throws java.sql.SQLException

  Specified by:
    `isDefinitelyWritable` in interface `java.sql.ResultSetMetaData`
  Throws:
    `java.sql.SQLException`
  See Also:
    `ResultSetMetaData.isDefinitelyWritable(int)`

### isNullable

    public int isNullable(int column)
                   throws java.sql.SQLException

  Specified by:
    `isNullable` in interface `java.sql.ResultSetMetaData`
  Throws:
    `java.sql.SQLException`
  See Also:
    `ResultSetMetaData.isNullable(int)`

### isReadOnly

    public boolean isReadOnly(int column)
                       throws java.sql.SQLException

  Specified by:
    `isReadOnly` in interface `java.sql.ResultSetMetaData`
  Throws:
    `java.sql.SQLException`
  See Also:
    `ResultSetMetaData.isReadOnly(int)`

### isSearchable

    public boolean isSearchable(int column)
                         throws java.sql.SQLException

  Specified by:
    `isSearchable` in interface `java.sql.ResultSetMetaData`
  Throws:
    `java.sql.SQLException`
  See Also:
    `ResultSetMetaData.isSearchable(int)`

### isSigned

    public boolean isSigned(int column)
                     throws java.sql.SQLException

  Specified by:
    `isSigned` in interface `java.sql.ResultSetMetaData`
  Throws:
    `java.sql.SQLException`
  See Also:
    `ResultSetMetaData.isSigned(int)`

### isWritable

    public boolean isWritable(int column)
                       throws java.sql.SQLException

  Specified by:
    `isWritable` in interface `java.sql.ResultSetMetaData`
  Throws:
    `java.sql.SQLException`
  See Also:
    `ResultSetMetaData.isWritable(int)`

### isWrapperFor

    public boolean isWrapperFor(java.lang.Class<?> iface)
                         throws java.sql.SQLException

  Specified by:
    `isWrapperFor` in interface `java.sql.Wrapper`
  Throws:
    `java.sql.SQLException`
  See Also:
    `Wrapper.isWrapperFor(java.lang.Class)`

### unwrap

    public <T> T unwrap(java.lang.Class<T> iface)
             throws java.sql.SQLException

  Specified by:
    `unwrap` in interface `java.sql.Wrapper`
  Throws:
    `java.sql.SQLException`
  See Also:
    `Wrapper.unwrap(java.lang.Class)`

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Query |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.